Supported Operating Systems for FIX32 and iFIX ka20h000000g2wxAAA | GE Customer Center

Supported Operating Systems for FIX32 and iFIX

Description

Supported Operating Systems for FIX32 and iFIX

Resolution

FIX32 version 7.0:

  • Supported on Windows 95; Windows 98, and Windows NT 4.0 operating systems. Also supported on Windows 2000 Professional or Server operating system with the application of the FIX 7.0 Windows 2000 SIM - Historical Trend Assignment, Collection, and Display

iFIX 3.5:

  • Supported on Windows NT 4.0; Windows 2000 Professional; Windows XP Professional and Windows 2003 server operating system.

iFIX 4.0:

The minimum iFIX software requirements include:

  • One of the following operating systems:
    • Microsoft® Windows® 2000, Professional or Advanced Server Edition, with at least Service Pack 4 required.
    • Microsoft® Windows® XP Professional, Service Pack 1 or greater. Since Windows XP has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2003, Standard or Enterprise Edition. Since Windows Server 2003 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® XP Tablet Edition, iClient Only.
  • Network interface software for network communication and certain I/O drivers.
    NOTE: Microsoft discontinued support for NetBEUI in Windows XP and Windows Server 2003. For more information on the discontinued support, beginning with Windows XP, refer to Microsoft Knowledge Base article Q306059.
  • An I/O driver for SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately. Be certain that the I/O driver you purchase is compatible with your hardware.Contact your Sales Representative or visit the web site at https://digitalsupport.ge.com/communities/ for the latest list of drivers and supported hardware.
  • Internet Explorer 5.5 or higher.
  • If relational database software is used with iFIX: Microsoft® SQL Server 2000 (Service Pack 2 or higher), Oracle® 9i (or higher), or Microsoft Access 2000 (or higher). Microsoft Access is supported for local installs only.

iFIX 4.5:

The minimum iFIX software requirements include:

  • One of the following operating systems:
    • Microsoft® Windows® XP Professional, Service Pack 2 or greater. Since Windows XP has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® 2000, Professional or Advanced Server Edition, with at least Service Pack 4 required.
    • Microsoft® Windows® Server 2003, Standard or Enterprise Edition. Since Windows Server 2003 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™, Business, Enterprise, or Ultimate Edition. Since Windows Vista has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™ Ultimate Edition running on a Tablet PC, iClient Only.
    • Microsoft® Windows® XP Tablet Edition, iClient Only.
  • Network interface software for network communication and certain I/O drivers.
  • An I/O driver for SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately. Be certain that the I/O driver you purchase is compatible with your hardware. Contact your Sales Representative or visit the web site at https://digitalsupport.ge.com/communities/ for the latest list of drivers and supported hardware.
  • Internet Explorer 6 or 7.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2000 (SP4 and higher).
    • Microsoft® SQL Server 2005 (SP2 and higher).
      NOTE: If you plan to use SQL Server in Windows Vista, you must use Microsoft® SQL Server 2005. Microsoft Windows Vista does not support SQL Server 2000.
    • Oracle® 9i.
    • Oracle® 10g.
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only.

iFIX 5.0:

The minimum iFIX software requirements include:

  • One of the following operating systems:
    • Microsoft® Windows® XP Professional, Service Pack 2 or greater. Since Windows XP has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2003, Standard or Enterprise Edition. Since Windows Server 2003 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™ Service Pack 1, Business, Enterprise, or Ultimate Edition. Since Windows Vista has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™ Ultimate Edition Service Pack 1 running on a Tablet PC, iClient Only.
      NOTE: Proficy Historian is not available for use in Windows Vista. Proficy Historian 3.1 currently does not support Windows Vista.
    • Microsoft® Windows® XP Tablet Edition, iClient Only.
  • Network interface software for network communication and certain I/O drivers.
  • An I/O driver for SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately. Be certain that the I/O driver you purchase is compatible with your hardware. Contact your Sales Representative or visit the web site at https://digitalsupport.ge.com/communities/ for the latest list of drivers and supported hardware.
  • Internet Explorer 6 or 7.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2000 (SP4 and higher).
    • Microsoft® SQL Server 2005 (SP2 and higher).
      NOTE: If you plan to use SQL Server in Windows Vista, you must use Microsoft® SQL Server 2005. Microsoft Windows Vista does not support SQL Server 2000.
    • Oracle® 10g.
    • Oracle® 11g.
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only.

iFIX 5.1:

The minimum iFIX software requirements include:

  • One of the following operating systems:
    • Microsoft® Windows® XP Professional, Service Pack 3. Since Windows XP has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2003, Service Pack 2, Standard or Enterprise Edition. Since Windows Server 2003 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™, Service Pack 2, Business, Enterprise, or Ultimate Edition. Since Windows Vista has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2008 (32-bit only), Service Pack 2, Standard or Enterprise Edition. Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® 7 x86 (32-bit only), Professional or Ultimate Edition. Since Windows 7 has continuous updates, you should run the Windows update feature to get the latest software.
    • IFIX 5.1 "SYSWOW64" Installation ISO or CD is supported on the following Operating Systems
    • 64-bit Support This release of iFIX supports the 64-bit operating
      system for Microsoft Windows 7 and Microsoft Windows Server 2008. The following operating
      systems were tested for 64-bit support:
      • Microsoft® Windows® Server 2008 R2 (64-
      bit), Standard and Enterprise Edition.
      • Microsoft® Windows® 7 x64 (64-bit),
      Professional and Ultimate Edition

    • NOTE: Only Proficy Historian 4.0 supports Windows 7.
  • The iFIX WebSpace Server is not supported on Windows 7. iFIX WebSpace browser sessions can be run on Windows 7 on the supported versions of Internet Explorer and Mozilla Firefox.
  • Microsoft® Windows® Vista™ Ultimate Edition Service Pack 2 running on a Tablet PC, iClient Only.
    • Microsoft® Windows® XP Tablet Edition, iClient Only.
    • Network interface software for network communication and certain I/O drivers.
  • If you are using third party software along with iFIX, make sure that the third party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Vista, your third party software must also be supported on Microsoft Windows Vista.
  • An I/O driver for SCADA servers. GE Intelligent Platforms supplies I/O drivers for many programmable controllers or you may purchase a driver separately.
    IMPORTANT: Be certain that the I/O driver you purchase is compatible with your hardware and operating system. For more information on drivers, contact your GE Intelligent Platforms Sales Representative or visit the support web site at https://digitalsupport.ge.com/communities/
  • Microsoft® Windows® Internet Explorer 7 or 8. For iFIX Webspace sessions, in addition to Microsoft Internet Explorer 7 and 8, Mozilla Firefox 3.0, 3.1.x, or 3.5 is also supported.
  • If using the Historian Excel Add-In, Microsoft Office XP, Office 2003, or Office 2007 SP1 is required.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2005 (SP2 and higher).
    • Microsoft® SQL Server 2008.
    • Oracle® 10g.
    • Oracle® 11g.
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only.

iFIX 5.5:

The minimum iFIX software requirements include:

  • One of the following operating systems:
    • Microsoft® Windows® XP Professional, Service Pack 3. Since Windows XP has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2003, Service Pack 2, Standard or Enterprise Edition. Since Windows Server 2003 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Vista™, Service Pack 2, Business, Enterprise, or Ultimate Edition. Since Windows Vista has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® Server 2008 (32-bit), Service Pack 2, Standard or Enterprise Edition. Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.
      NOTE: Be aware that the maximum, supported RAM on the Standard Edition for Windows Server 2008 (32-bit) and Windows Server 2003 is 4GB, and this may limit the performance. For better performance, it is recommended that you use a 64-bit operating system, or an operating system that supports Physical Address Extension (PAE). PAE is available on the Enterprise version of Windows Server 2003 and the Windows Server 2008 (32-bit).
    • Microsoft® Windows® Server 2008 R2 (64-bit), Service Pack 1, Standard or Enterprise Edition. Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.
    • Microsoft® Windows® 7 (32-bit or 64-bit), Service Pack 1, Professional, Enterprise, or Ultimate Edition. Since Windows 7 has continuous updates, you should run the Windows update feature to get the latest software.
      NOTE: The iFIX WebSpace Server is not supported on Microsoft® Windows® 7 (32-bit). iFIX WebSpace browser sessions can be run on Windows 7, on the supported versions of Internet Explorer and Mozilla Firefox.
    • Microsoft® Windows® XP Tablet Edition, for iClient only.
    • Microsoft® Windows® XP Embedded, Service Pack 3.
      NOTES:
    • Microsoft Windows XP Embedded is supported only if using the iFIX for XP Embedded hardware key. The iFIX for XP Embedded hardware key will only work on the Microsoft Window XP Embedded environment, and will not work with another operating system.
    • The iFIX WebSpace Server and Proficy Historian for SCADA are not supported on the Windows XP Embedded operating system.
    • Only English Windows XP Embedded, with English regional settings, is supported with English iFIX; other language operating systems or regional settings for Windows XP Embedded are not supported.
    • The .NET Component is not supported on the Windows XP Embedded operating system.
    • Proficy Change Management is not supported on the Windows XP Embedded operating system.
  • Network interface software for network communication and certain I/O drivers.
  • If you are using third-party software along with iFIX, make sure that the third party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Vista, your third party software must also be supported on Microsoft Windows Vista.
  • An I/O driver for SCADA servers. GE Intelligent Platforms supplies I/O drivers for many programmable controllers or you may purchase a driver separately.
    IMPORTANT: Be certain that the I/O driver you purchase is compatible with your hardware and operating system. For example, if the driver is not supported on a 64-bit system, then you cannot use this driver with iFIX on 64-bit. Currently, iFIX supports the following drivers on 64-bit operating systems: the OPC, EGD, IGS, and MBE drivers. For more information and for future updates to this list, check our support web site at: https://digitalsupport.ge.com/communities/
  • Microsoft® Windows® Internet Explorer 7, 8, or 9 (32-bit browsers only). For iFIX WebSpace sessions, in addition to Microsoft Internet Explorer, Mozilla Firefox is also supported. The following Mozilla Firefox versions were tested: 4.0, 5.0, 6.0, 7.0, 8.0, and 15.
  • If using the Historian Excel Add-In, Microsoft Office XP, Office 2003, Office 2007 SP2, or Office 2010 is required.
  • If using the Plant Applications Dynamos in iFIX pictures, Microsoft Office 2003 or 2007 is required.
  • If using the iFIX WebSpace Server, one of the following web server programs:
    • Microsoft Internet Information Server (IIS) 5.1, 6.0, 7.0, or 7.5.
    • Apache HTTP Server 2.2.10 or greater.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2005 (SP2 and higher).
    • Microsoft® SQL Server 2008.
    • Microsoft® SQL Server 2008 R2.
    • Oracle® 10g.
    • Oracle® 11g R2.
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only

iFIX 5.8:

The minimum iFIX software requirements include:

• One of the following operating systems:
        o Microsoft Windows Vista, Service Pack 2, Business, Enterprise, or Ultimate Edition. Since Windows Vista has continuous updates, you should run the Windows update feature to get the latest   software.
        o Microsoft Windows Server 2008 (32-bit), Service Pack 2, Standard or Enterprise Edition. Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.
          NOTE: Be aware that the maximum, supported RAM on the Standard Edition for Windows Server 2008 (32-bit) is 4GB, and this may limit the performance. For better performance, it is recommended that you use a 64-bit operating system, or an operating system that supports Physical Address Extension (PAE). PAE is available on the Enterprise version of Windows Server 2008 (32-bit).
 o Microsoft Windows Server 2008 R2, Service Pack 1, Standard or Enterprise Edition. Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.
        o Microsoft Windows Server 2012 and 2012R2, Standard or Enterprise Edition. Since Windows Server 2012 has continuous updates, you should run the Windows update feature to get the latest software.  IFix 5.8 SP1 minimum required, Recommend iFix 5.8 SP2.  .   
        o Microsoft® Windows® 7 (32-bit or 64-bit), Service Pack 1, Professional, Enterprise or Ultimate Edition. Since Windows 7 has continuous updates, you should run the Windows update feature to get the latest software.
        o Microsoft® Windows® 8 (32-bit or 64-bit), Professional or Enterprise Edition. Since Windows 8 has continuous updates, you should run the Windows update feature to get the latest software.
        o Microsoft® Windows® 10 (32-bit or 64-bit), Professional or Enterprise Edition. Since Windows 10 has continuous updates, you should run the Windows update feature to get the latest software. iFix 5.8 Service Pack 2 required.
        o Microsoft® Windows® Embedded Standard 7, Service Pack 1, with latest Microsoft Windows updates.
          NOTE: Only English Windows Embedded, with English regional settings, is supported with English iFIX; other language operating systems or regional settings for Windows Embedded are not supported.

• Network interface software for TCP/IP network communication and certain I/O drivers.
• If you are using third-party software along with iFIX, make sure that the third party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Vista, your third party software must also be supported on Microsoft Windows Vista.
• An I/O driver for SCADA servers. GE Intelligent Platforms supplies I/O drivers for many programmable controllers or you may purchase a driver separately.
          IMPORTANT: Be certain that the I/O driver you purchase is compatible with your hardware and operating system. For example, if the driver is not supported on a specific operating system, then you cannot use this driver with iFIX running on that operating system. For more information drivers and supported operating systems, check our support web site at: https://digitalsupport.ge.com/communities/

  • If using VisiconX and Proficy Historian, you must install the Historian OLE DB driver.
  • If using the Plant Applications Dynamos in iFIX pictures, Microsoft Office 2003, 2007, or 2010(32-bit) is required.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2008
    • Microsoft® SQL Server 2008 R2
    • Microsoft® SQL Server 2012
    • Oracle® 11g R2
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only
  •  iFIX 5.8 SP1 adds support for Microsoft® Windows® 8.1 and Microsoft® Windows® Server 2012 R2.
  •  iFIX 5.8 SP2 adds support for the Microsoft® Windows® 10 operating system.
iFIX 5.9:

The minimum iFIX software requirements include:
  • One of the following operating systems:
NOTE: Since Microsoft Windows has continuous updates, you should run the Windows update feature to get the latest Windows software for use with iFIX.
  • Microsoft® Windows® 10 (32-bit or 64-bit), Pro or Enterprise Edition.
  • Microsoft® Windows® 8.1 (32-bit or 64-bit), Enterprise Edition. (Note: IoT Core is not supported)
  • Microsoft® Windows® 8.1 (32-bit or 64-bit), Professional or Enterprise Edition.
  • Microsoft® Windows® 7 (32-bit or 64-bit), Service Pack 1, Professional, Enterprise or Ultimate Edition.
  • Microsoft® Windows® Server 2012 R2.
  • Microsoft® Windows® Server 2016.
  • Microsoft® Windows® Embedded Standard 7, Service Pack 1. iFIX Embedded licenses will not run on Windows 10 IoT or other operating systems.
TIP: Some operating systems require Microsoft KB2999226 to be installed before you can install iFIX. For Windows 7 and Windows Server 2008 R2, you must have SP1 installed before you can install KB2999226. For Windows Server 2012 R2, you must have KB2919442 and then KB2919355 installed before installing KB2999226. For Windows 8.1, you just need KB2999226.
  • Network interface software for TCP/IP network communication and certain I/O drivers.
  • If you are using third-party software along with iFIX, make sure that the third party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Server 2016, your third party software must also be supported on Windows Server 2016.
  • An I/O driver for iFIX SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately.
IMPORTANT: Be certain that before you purchase an I/O driver, that the driver is compatible with the hardware and operating system that you intend to run it on. For example, if the driver is not supported on a specific operating system, then you cannot use that driver with iFIX running on that operating system. For more information on iFIX supported drivers and their respective operating systems, refer to the GE Digital support web site at: http://ge-ip.force.com/communities/
  • If using VisiconX and Historian, you must install the Historian OLE DB driver.
  • If using the Plant Applications Dynamos in iFIX pictures, Microsoft Office 2003, 2007, or 2010(32-bit) is required.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2017
    • Microsoft® SQL Server 2016
    • Microsoft® SQL Server 2014
    • Oracle® 12c
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only\\
iFIX 6.0:

The minimum iFIX software requirements include:
  • One of the following operating systems: 
NOTE: Since Microsoft Windows has continuous updates, you should run the Windows update feature to get the latest Windows software for use with iFIX.
  • Microsoft® Windows® 10 (32-bit or 64-bit), Pro or Enterprise Edition. 
  • Microsoft® Windows® 8.1 (32-bit or 64-bit), Professional or Enterprise Edition. 
  •  Microsoft® Windows® 7 (32-bit or 64-bit), Service Pack 1, Professional, Enterprise or Ultimate Edition. 
  • Microsoft® Windows® Server 2012 R2. 
  • Microsoft® Windows® Server 2016. 
  • Microsoft® Windows® 7 Embedded Standard, Service Pack 1, for iFIX 6.0 Embedded licenses only. iFIX Embedded licenses will not run on Windows 10 IoT or other operating systems.
TIP:  Some operating systems require Microsoft KB2999226 to be installed before you can install iFIX. For Windows 7, you must have SP1 installed before you can install KB2999226. For Windows Server 2012 R2, you must have KB2919442 and then KB2919355 installed before installing KB2999226. For Windows 8.1, you just need KB2999226.
  • Network interface software for TCP/IP network communication and certain I/O drivers.
  •  If you are using third-party software along with iFIX, make sure that the third-party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Server 2016, your third-party software must also be supported on Windows Server 2016.
  • An I/O driver for iFIX SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately. 
    IMPORTANT: Be certain that before you purchase an I/O driver, that the driver is compatible with the hardware and operating system that you intend to run it on. For example, if the driver is not supported on a specific operating system, then you cannot use that driver with iFIX running on that operating system. For more information on iFIX supported drivers and their respective operating systems, refer to the GE Digital support web site at: http://ge-ip.force.com/communities/.
  •  If using VisiconX and Historian, you must install the Historian OLE DB driver.
  •  If using the Plant Applications Dynamos in iFIX pictures, Microsoft Office 2003, 2007, or 2010(32-bit) is required.
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2017
    • Microsoft® SQL Server 2016
    • Microsoft® SQL Server 2014
    • Oracle® 12c
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only\\
iFIX 6.1:
 
GE recommends using the latest service packs for Windows operating systems. The minimum iFIX software requirements include:
  • One of the following operating systems:
    • Microsoft® Windows® 10 (32-bit or 64-bit) Professional or Enterprise Edition.
    • Microsoft® Windows® 8.1 (32-bit or 64-bit), Professional or Enterprise Edition.
    • Microsoft® Windows® 7 (32-bit or 64-bit), Service Pack 1, Professional, Enterprise or Ultimate Edition.
    • Microsoft® Windows® 7 Embedded, or an operating system released under Long Term Service Channel for iFIX for IoT. Use of iFIX for IoT is further restricted by your End User License Agreement (EULA), please see your EULA for details.
    • Microsoft® Windows® Server 2019.
    • Microsoft® Windows® Server 2016.
    • Microsoft® Windows® Server 2012 R2.
NOTE: Only English Windows IoT, with English regional settings, is supported with English iFIX; other language operating systems or regional settings for Windows IoT are not supported.
TIPS: Since Microsoft Windows has continuous updates, you should run the Windows update feature to get the latest Windows software for use with iFIX. Some operating systems require Microsoft KB2999226 to be installed before you can install iFIX. For Windows 7, you must have SP1 installed before you can install KB2999226. For Windows Server 2012 R2, you must have KB2919442 and then KB2919355 installed before installing KB2999226. For Windows 8.1, you just need KB2999226.
  • Network interface software for TCP/IP network communication and certain I/O drivers.
  • If you are using third-party software along with iFIX, make sure that the third-party software is also supported for the operating system you are running iFIX on. For instance, if you are running iFIX on Microsoft Windows Server 2019, your third-party software must also be supported on Windows Server 2019.
  • An I/O driver for iFIX SCADA servers. GE supplies I/O drivers for many programmable controllers or you may purchase a driver separately.
IMPORTANT: Be certain that before you purchase an I/O driver, that the driver is compatible with the hardware and operating system that you intend to run it on. For example, if the driver is not supported on a specific operating system, then you cannot use that driver with iFIX running on that operating system. For more information on iFIX supported drivers and their respective operating systems, refer to the GE Digital support web site at: http://ge-ip.force.com/communities/.
  • If using VisiconX and Historian, you must install the Historian OLE DB driver.
  • If using the OPC UA Client driver, the following browsers are supported:
    • Google Chrome
    • Microsoft Edge
  • One of the following relational database applications, if relational database software is used with iFIX:
    • Microsoft® SQL Server 2017
    • Microsoft® SQL Server 2016
    • Oracle® 12c R2
    • Oracle® 18c
    • Microsoft® Access 2000 (or higher). Microsoft Access is supported for local installs only